> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Deposit Instructions

> Retrieve a specific wallet's deposit instructions.

Use the Prime SDK or CLI to test this endpoint by following the [quickstart](/prime/introduction/quickstart) guide and running with the following examples

<Tabs>
  <Tab title="Java">
    ```java theme={null}
    WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

    GetWalletDepositInstructionsRequest request = new GetWalletDepositInstructionsRequest.Builder()
        .portfolioId("PORTFOLIO_ID_HERE")
        .walletId("WALLET_ID_HERE")
        .depositType(DepositType.CRYPTO)
        .build();

    GetWalletDepositInstructionsResponse response = walletsService.getWalletDepositInstructions(request);
    ```

    For more information, please visit the [Prime Java SDK](https://github.com/coinbase-samples/prime-sdk-java).
  </Tab>

  <Tab title=".NET">
    ```csharp wrap theme={null}
    var walletsService = new WalletsService(client);

    var request = new GetWalletDepositInstructionsRequest("PORTFOLIO_ID_HERE", "WALLET_ID_HERE")
    {
        DepositType = DepositType.CRYPTO,
    };

    var response = walletsService.GetWalletDepositInstructions(request);
    ```

    For more information, please visit the [Prime .NET SDK](https://github.com/coinbase-samples/prime-sdk-dotnet).
  </Tab>

  <Tab title="Go">
    ```go wrap theme={null}
    walletsService := users.NewWalletsService(client)

    request := &users.GetWalletDepositInstructionsRequest{
        PortfolioId: "PORTFOLIO_ID_HERE",
        Id: "WALLET_ID_HERE",
        DepositType: "CRYPTO",
    }

    response, err := walletsService.GetWalletDepositInstructions(context.Background(), request)
    ```

    For more information, please visit the [Prime Go SDK](https://github.com/coinbase-samples/prime-sdk-go).
  </Tab>

  <Tab title="Python">
    ```python wrap theme={null}
    prime_client = PrimeClient(credentials)

    request = GetWalletDepositInstructionsDepositInstructionsRequest(
        portfolio_id="PORTFOLIO_ID_HERE",
        wallet_id="WALLET_ID_HERE",
        deposit_type="CRYPTO",
    )

    response = prime_client.get_wallet_deposit_instructions(request)
    ```

    For more information, please visit the [Prime Python SDK](https://github.com/coinbase-samples/prime-sdk-py).
  </Tab>

  <Tab title="CLI">
    ```bash wrap theme={null}
    primectl get-wallet-deposit-instructions --help
    ```

    For more information, please visit the [Prime CLI](https://github.com/coinbase-samples/prime-cli).
  </Tab>

  <Tab title="TS/JS">
    ```typescript wrap theme={null}
    const walletsService = new WalletsService(client);

    walletsService.getWalletDepositInstructions({
        portfolioId: 'PORTFOLIO_ID_HERE',
        walletId: 'WALLET_ID_HERE',
    }).then(async (response) => {
        console.log('Deposit Instructions: ', response);
    })
    ```

    For more information, please visit the [Prime TS SDK](https://github.com/coinbase-samples/prime-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructions
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/deposit_instructions:
    get:
      tags:
        - Wallets
      summary: Get Wallet Deposit Instructions
      description: Retrieve a specific wallet's deposit instructions.
      operationId: PrimeRESTAPI_GetWalletDepositInstructions
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: The wallet ID
          required: true
          schema:
            type: string
        - name: deposit_type
          in: query
          description: |-
            The deposit type

             - UNKNOWN_WALLET_DEPOSIT_TYPE: nil value
             - CRYPTO: A cryptocurrency deposit
             - WIRE: A wire deposit
             - SEN: DEPRECATED. A Silvergate Exchange Network deposit
             - SWIFT: A SWIFT deposit
             - SEPA: A SEPA deposit (Single Euro Payments Area)
          required: true
          schema:
            type: string
            enum:
              - CRYPTO
              - WIRE
              - SEN
              - SWIFT
              - SEPA
        - name: network.id
          in: query
          description: |-
            The name of the network

            The network id: base, bitcoin, ethereum, solana etc
          schema:
            type: string
        - name: network.type
          in: query
          description: |-
            The network type

            The network type: mainnet, testnet, etc
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetWalletDepositInstructionsResponse
components:
  schemas:
    coinbase.public_rest_api.GetWalletDepositInstructionsResponse:
      type: object
      properties:
        crypto_instructions:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.WalletCryptoDepositInstructions
        fiat_instructions:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.WalletFiatDepositInstructions
    coinbase.public_rest_api.WalletCryptoDepositInstructions:
      type: object
      properties:
        id:
          type: string
          description: The ID of the wallet
          example: e84255eb-2e21-439e-a1d0-f5dd1e1292b9
        name:
          type: string
          description: The name of the wallet
          example: Wallet 1
        type:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.WalletDepositInstructionType
        address:
          type: string
          description: The address of the wallet
          example: ca13fdc4-e459-4fd9-868e-82291343b213
        account_identifier:
          type: string
          description: >-
            The tag/memo of the address, if applicable -- required for certain
            assets (e.g. XRP, XLM, etc.)
          example: '387879289'
        account_identifier_name:
          type: string
          description: >-
            The blockchain network's terminology for the unique identifier used
            to identify the receiver of the transaction (different blockchain
            networks use different names, such as `destination_tag` or `memo`)
          example: memo
        network:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
    coinbase.public_rest_api.WalletFiatDepositInstructions:
      type: object
      properties:
        id:
          title: The id of the wallet
          type: string
        name:
          title: The name of the wallet
          type: string
        type:
          $ref: >-
            #/components/schemas/coinbase.public_rest_api.WalletDepositInstructionType
        account_number:
          title: The fiat account number
          type: string
        routing_number:
          title: The fiat routing number
          type: string
        reference_code:
          title: Reference code to be used as a memo/description
          type: string
    coinbase.public_rest_api.WalletDepositInstructionType:
      title: Indicates the wallet's deposit instruction type
      type: string
      description: |-
        - UNKNOWN_WALLET_DEPOSIT_TYPE: nil value
         - CRYPTO: A cryptocurrency deposit
         - WIRE: A wire deposit
         - SEN: DEPRECATED. A Silvergate Exchange Network deposit
         - SWIFT: A SWIFT deposit
         - SEPA: A SEPA deposit (Single Euro Payments Area)
      enum:
        - CRYPTO
        - WIRE
        - SEN
        - SWIFT
        - SEPA
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'

````